﻿using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.Web;
using System;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Linq;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.XlsIO;
using System.Collections;

namespace WebApplication21
{
    public partial class _Default : Page
    {
        //IList data = OrderRepository.GetAllRecords().ToList();
        DataTable dt = new DataTable("Order");
        protected void Page_Load(object sender, EventArgs e)
        {

            if (!IsPostBack)
            {
                SqlConnection myConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["NORTHWNDConnectionString"].ToString());
                dt = new DataTable("Territory");
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = myConnection;
                cmd.CommandText = "select * from Territories";
                cmd.CommandType = CommandType.Text;
                SqlDataAdapter da = new SqlDataAdapter();
                da.SelectCommand = cmd;
                if (myConnection.State == ConnectionState.Closed)
                {
                    myConnection.Open();
                }
                da.Fill(dt);
                Session["SqlDataSource"] = dt;
                dataBind();
            }

        }
        protected void dataBind()
        {
            //FlatGrid.DataSource = (DataTable)Session["SqlDataSource"];
            FlatGrid.DataBind();

        }
        
        protected void FlatGrid_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            DataView data = (DataView)SqlData.Select(new DataSourceSelectArguments());
            IList data1 = data;
            DataTable dt = data.Table;
            var emp = (from DataRow row in dt.Rows

                   select new Order
                   {
                       TerritoryID = Convert.ToInt32(row["TerritoryID"]),
                       TerritoryDescription = row["TerritoryDescription"].ToString(),
                       RegionID = Convert.ToInt32(row["RegionID"]),
                   }).ToList();
            IWorkbook workbook = exp.Export(FlatGrid.Model, (IEnumerable)emp, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime", true);
            exp.Export(FlatGrid.Model, (IEnumerable)emp, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime", false, workbook, MultipleExportType.AppendToSheet, "Flat Grid");
        }

        protected void FlatGrid_ServerWordExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            WordExport exp = new WordExport();
            DataView data = (DataView)SqlData.Select(new DataSourceSelectArguments());
            IList data1 = data;
            DataTable dt = data.Table;
            var emp = (from DataRow row in dt.Rows

                       select new Order
                       {
                           TerritoryID = Convert.ToInt32(row["TerritoryID"]),
                           TerritoryDescription = row["TerritoryDescription"].ToString(),
                           RegionID = Convert.ToInt32(row["RegionID"])
                       }).ToList();
            exp.Export(FlatGrid.Model, (IEnumerable)emp, "Export.docx", true, true, "flat-lime");
        }

        protected void FlatGrid_ServerPdfExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            PdfExport exp = new PdfExport();
            DataView data = (DataView)SqlData.Select(new DataSourceSelectArguments());
            IList data1 = data;
            DataTable dt = data.Table;
            var emp = (from DataRow row in dt.Rows

                       select new Order
                       {
                           TerritoryID = Convert.ToInt32(row["TerritoryID"]),
                           TerritoryDescription = row["TerritoryDescription"].ToString(),
                           RegionID = Convert.ToInt32(row["RegionID"]),
                       }).ToList();
            exp.Export(FlatGrid.Model, (IEnumerable)emp, "Export.pdf", true, true, "flat-lime");
        }
    }
    public class Order {
        public int TerritoryID { get; set; }
        public string TerritoryDescription { get; set; }
        public int RegionID { get; set; }
        }
}